package com.huashe.park.core.mapper;

import java.util.List;

import com.huashe.common.annotation.mybatis.IgnoreTenant;
import com.huashe.park.domain.entity.MachineProcess;

/**
 * 桩机施工过程数据Mapper接口
 * 
 * @author ruoyi
 * @date 2025-02-26
 */
public interface MachineProcessMapper {
    /**
     * 查询桩机施工过程数据
     * 
     * @param id 桩机施工过程数据主键
     * @return 桩机施工过程数据
     */
    @IgnoreTenant
    public MachineProcess selectMachineProcessById(Long id);

    /**
     * 查询桩机施工过程数据列表
     * 
     * @param machineProcess 桩机施工过程数据
     * @return 桩机施工过程数据集合
     */
    @IgnoreTenant
    public List<MachineProcess> selectMachineProcessList(MachineProcess machineProcess);

    /**
     * 新增桩机施工过程数据
     * 
     * @param machineProcess 桩机施工过程数据
     * @return 结果
     */
    public int insertMachineProcess(MachineProcess machineProcess);

    public int insertMachineProcessOrUpdate(MachineProcess machineProcess);

    /**
     * 修改桩机施工过程数据
     * 
     * @param machineProcess 桩机施工过程数据
     * @return 结果
     */
    public int updateMachineProcess(MachineProcess machineProcess);

    /**
     * 删除桩机施工过程数据
     * 
     * @param id 桩机施工过程数据主键
     * @return 结果
     */
    public int deleteMachineProcessById(Long id);

    /**
     * 批量删除桩机施工过程数据
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteMachineProcessByIds(Long[] ids);
}
